const config = require('config')
const db = require('machankura.db');

const userPhoneNumber = process.argv[2]
if (userPhoneNumber) {
    const userPassword = process.argv[3]

    if (userPassword) {
        db.init().then(async () => {
            const user = await db.User.findOne({
                include: [
                    {
                        association: db.User.UserPhones,
                        required: true,
                        where: {
                            phoneNumber: userPhoneNumber
                        }
                    },
                    {
                        association: db.User.Affiliate
                    },
                    {
                        association: db.User.Passwords
                    }
                ]
            })
    
            if (user) {
                if (user.passwords.length > 0) {
                    console.log("User already has a password")
                } else {
                    console.log("Set user password")
                    const newPassword = await db.Password.create({
                        userId: user.id,
                        password: userPassword
                    })
                    // db.Affiliate.create({
                    //     id: user.id, 
                    //     userId: user.id,
                    //     createdAt: user.createdAt,
                    //     affiliateSplits: [
                    //         {
                    //             createdAt: user.createdAt
                    //         }
                    //     ]
                    // }, {
                    //     include: [
                    //         {
                    //             association: db.Affiliate.AffiliateSplits
                    //         }
                    //     ]
                    // }).then(affiliate => {
                    //     if (affiliate) {
                    //         console.log("Affiliate: ", affiliate.toJSON())
                    //     }
                    // }).catch(error => console.error("Error create affiliate", error))
                }
            } else {
                console.log(`Couldn't find user with phoneNumber ${affiliatePhoneNumber}`)
            }
            
        })
    } else {
        console.log("Please enter the expected password")
    }
    
} else {
    console.log("Please enter the phone number of the desired user")
}
