/**
 * This router handles things related to the web browser experience...
 */
const express = require('express')
var db = require('machankura.db')
const { Op } = require("sequelize")
const passport = require('passport')
const config = require('config')
const domain = config.get("server.domain");

const supportedRedirects = [
    new RegExp("^/receive/$"),
    new RegExp("^/send/$")
]

module.exports = function () {
    var router = express.Router();

    router.use((request, response, next) => {

        console.log("authenticate Path: ", request.originalUrl)
        next()
    });

    var phoneNumberRouter = require('./phone-number')();

    router.use('/phone-number', phoneNumberRouter);

    return router;
};