/**
 * This router handles things related to the web browser experience...
 */
const express = require('express')
var db = require('machankura.db')
const { Op } = require("sequelize")

module.exports = function () {
    var router = express.Router();

    router.use(async (request, response, next) => {
        if (request.wallet) {
            if (request.wallet.clanRoot.WalletMembers[0].type == "admin") {
                next();
            } else {
                response.status(401)
                response.json({
                    status: "error",
                    message: "Unauthorized"
                })
            }
        } else {
            response.status(401)
            response.json({
                status: "error",
                message: "Unauthorized"
            })
        }
    })

    // router.route('/')
    //     .get(async function (request, response, next) {
    //         if (request.wallet) {
    //             response.display("clan-settings", {
    //                 user: request.wallet,
    //                 pageTitle: "Clan Settings - Machankura",
    //             });
                
    //         } else {
    //             response.redirect('/account/authenticate')
    //         }
    //     })

    var policyRouter = require('./policy')();

    router.use('/policy', policyRouter);
    
    return router;
};