const db = require('machankura.db');
const server = require('./server/server.js')();

db.init().then(() => {
    console.log("Loaded DB.");
    return server.run(db);
}).then((port) => {
    console.log("Server is running on: ", port);
})
.catch((error) => {
    console.error("Failed to run server: ", error);
})