const config = require('config')
const db = require('machankura.db');
const { Op } = require("sequelize")

const userPhoneNumber = process.argv[2]
if (userPhoneNumber) {
    const userOTP = process.argv[3]

    if (userOTP) {
        db.init().then(async () => {
            const fiveMinutesAgo = new Date()
            fiveMinutesAgo.setMinutes(fiveMinutesAgo.getMinutes() - 5)

            const user = await  db.User.findOne({
                include: [
                    {
                        association: db.User.UserPhones,
                        include: [
                            {
                                association: db.UserPhone.Phone,
                                where: {
                                    number: userPhoneNumber
                                },
                                include: [
                                    {
                                        association: db.Phone.OneTimePIN,
                                        // required: true,
                                        // where: {
                                        //     createdAt: {
                                        //         [Op.gt]: fiveMinutesAgo
                                        //     }
                                        // }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            })
    
            if (user) {
                console.log("User: ", user.toJSON())
            } else {
                console.log(`Couldn't find user with phoneNumber ${affiliatePhoneNumber}`)
            }
            
        })
    } else {
        console.log("Please enter the expected password")
    }
    
} else {
    console.log("Please enter the phone number of the desired user")
}
